Subject: Re: Radio Access Network Protocols (was: Re: [seamoby] IRTF mm problem statement)

From: "Phil Neumiller" <[email-masked]>
Date: Tue, 1 May 2001 16:34:38 -0500

Perhaps this should be moved to the new list.  I will let Pat decide.

I have some more comments below:

----- Original Message -----
From: "James Kempf" <[email-masked]>
To: <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Tuesday, May 01, 2001 4:31 PM
Subject: Radio Access Network Protocols (was: Re: [seamoby] IRTF mm problem statement)

> IETF has resisted doing wireless specific protocols in the past. The
> CRAPS BOF explicitly rejected doing that kind of work, though perhaps

This seeams rather oxymoronic, since COMMON is the first word in CRAPS.
Common implied abstraction in my mind, but I guess this sense was lost
by others.

> there has been a change of heart. I expect, however, that there
> will be the same kind of resistance in the future.

I am not sure there was resistance James.  What I found was just lots
of confusion.  The terminology barrier is huge.  We don't have a constituency
in the IETF that knows enough about a large number of RF protocols to even
formulate an abstraction I am afraid.  Somebody said the IEEE may be
a better choice.  The problem I have with MWIF is that (last time I checked)
its sole purpose in life is/was to influence 3GPP2 and 3GPP, two cellular
standards.  What we had hoped for in CRAPS is what Ron Akers (Bluetooth
BOF co-chair) called the "uber-alles" [forgot umlaut] RF protocol [he was
not fond of the idea of a one size fits all either].

But I DONT want one size fits all.  I wanted to specify the requirements for
essentially a base class (in OO terms), from which individual implementors
or RF protocols can inherit most of the important mechanisms and use the
protocol equivalent of virtual functions for their radio specifics [which by
no means have to be standardized in the IETF]. The protocol could provide
a "framework" if you will for doing RF in the IETF.  I suggested a similar
approach to Scott Bradner for the sub-IP area.  I am not sure if he has
considered it yet.  The best would be perhaps to focus by starting on the
handover abstract trigger [as being discussed in the CT DT] and work to
tie the know between the sub-IP area and whatever micro-mobility is/was
can be.

Thanks,

Phil

---

From: James Kempf <[email-masked]>
Date: Tue, 1 May 2001 14:31:18 -0700 (PDT)

There has been some ongoing work in MWIF (Mobile Wireless Internet
Forum, http://www.mwif.org) on a radio access network architecture, called 
OpenRAN, that is independent of radio link protocol, along the lines
suggested by Arthur and PhilN. The architecture is
complete, we are about to release the report, and we are planning
some conference presentations and journal articles to familiarize
the wireless community with the architecture in the near future.
We have already taken this work to the 3Gs, there is some interest
in 3GPP2 though also a certain amount of resistence, but 3GPP has
essentially rejected it as too experimental.

The next step for the OpenRAN architecture is to do some protocol
development work, and MWIF is currently debating whether to do
this or not. If it does, you can be sure the OBAST work will be
important input. The objective of the protocol development work
would be to develop a RAN protocol independent of radio link protocol
and have vendors implement prototypes for interoperability testing
(the other aspect of this is interoperable radio network management,
which turns out to be the single largest barrier to open systems
in UTRAN, and it is also being investigated by MWIF). Once the protocol
is complete, it would be taken to IETF and the 3Gs for consideration.
By virtue of it being radio link independent, one could view it
as not L2 specific, though it is wireless specific, so perhaps
IETF would be more interested in it. If MWIF declines to continue
working on the protocol, some mild interest has been expressed by
a few vendors to continue working on it in another forum.

Most of the people involved in the OpenRAN effort believe that
MWIF is the right place to do the technical work for now (similar
to how the Multivendor Switching Forum developed their protocol
first, before bringing it to IETF), then bringing it to IETF
later, if appropriate. So if any radio knowledgable types are interested, I'd 
encourage you to become involved.

		jak

>Delivered-To: [email-masked]
>X-Sent: 1 May 2001 20:17:04 GMT
>From: "Phil Neumiller" <[email-masked]>
>To: "Phil Roberts" <[email-masked]>, "'Arthur Ross'" <[email-masked]>, 
<[email-masked]>
>Subject: Re: [seamoby] IRTF mm problem statement
>Date: Tue, 1 May 2001 15:05:03 -0500
>X-Priority: 3
>X-MSMail-Priority: Normal
>X-MimeOLE: Produced By Microsoft MimeOLE V5.50.4133.2400
>
>Hi Phil R./Arthur,
>
>> One might think that a good chunk of this problem can be abstracted without
>> any awareness of radio link characteristics.  The point of this particular
>> piece of research has to do with updating reachability awareness and
>> forwarding tables within the routers the mobile attaches to rather than how
>> to figure out which points the mobiles can reach and how well they can reach
>> it.
>
>I see this is where the disconnect is Phil R.  We HAD gone much further in
>SeaMoby of our discussions of micro-mobility than your current list of drafts.
>We entertained issues related to the mobile and its view of the network.
>Also, most people were familiar with the OBAST paper which describes
>a method for macro/micro/local mobility where the air interfaces properties
>of CDMA are socketed as Arthur has described (mainly because I recited
>enough times on the list) [even in the CRAPS BOF I had to make this
>argument]{See thwap thread a while back on SeaMoby list}.
>
>>
>> It would be hard also to make too many assumptions about what that radio
>> system could be.  You include that the architecture should have a provision
>> for a diversity combiner but surely there are networks over which something
>> like this would run on which there is no diversity combiner?
>
>Also, Phil R., I had discussed many times on the SeaMoby list that diversity
>combining is not just for CDMA.  When done over IP, other radios, even
>TDMA radios can take advantage of it in the outer-loop sense.  I have several
>patents pending on how to do this with TDMA, and frequency hop radios,
>not just DSSS.  Of course those are Motorola's and don't do us much good
>here in the IETF unless some other folks can come up with some stuff
>independently. :-)
>
>> I wasn't privy
>> to all the discussions in the fast handover design teams in MIP but there
>> was at least some effort put in to thinking about what happens when this is
>> running over a fairly lossy medium.  Whether or not a ping-pong effect
>> should be handled in these protocols was also discussed and highly
>> controversial.
>
>Again we discussed this in the SeaMoby list and CRAPS list and OBAST
>list numerous times.  The TADD/TDROP timers as used in CDMA can
>work for any RF interface to reduce ping-pong if done in a borrowed and
>abstract way over IP.
>
>> Both of those can be characteristics of wireless systems
>> with multiple access points, and both may be quite independent of whether it
>> is a TDMA or CDMA or whatever system running at 800MHz, 1800MHz, or
>> whatever.
>
>In this sense I agree with you, but only so far as it can be done in a common 
way.
>Macro-diversity selection can be done with almost any radio type, and OBAST
>it is an option.  OBAST allows optionalk make-before-break with any radio type.
>OBAST allows simultaneous and different link layers to be active if they want 
to
>use it.
>>
>> There has been reluctance so far to design within the IETF a radio
>> technology specific subsystem.  I personally am not willing to push for
>> that.  Perhaps you can get a discussion going on in the new wireless
>> interest list Phil N set up to organize an effort to promote such.  It seems
>> that productive work along the path already specified in the document can go
>> on and the possibilities for exploring ratholes by adding in radio
>> technology specific issues might be plentiful.
>
>We don't need to explore a rathole here.  What we need to do is ask ourselves
>what things can be made common for all RF L2s and be put over IP? This
>is the IMPORTANT question to ask yourself.  Really!  Of course I sound like
>a broken record, but I think (I hope, Pat and James and Gary and many others) 
are
>starting to think about this and understand it.  Perhaps not in the same with
>the same zeal that I express. :-)  I am pretty confident that Arthur is on the
>right track.  His arguments about radio physics can be hidden with an OO
>like abstraction of putting macro-diversity over IP.  That is the big first 
step
>to consider.
>
>I will show deference to the draft author and chair.  If you want this 
conversation
>moved over to the new list that is fine I will try and summarize it and move
>it over.
>
>Thanks,
>
>Phil N.
>
>